#
# Default  Bacula File Daemon Configuration file
#
#  For Bacula release 15.0.3 (25 March 2025) -- netbsd 9.0
#
# There is not much to change here except perhaps the
# File daemon Name to
#
#
# Copyright (C) 2000-2023 Kern Sibbald
# License: BSD 2-Clause; see file LICENSE-FOSS
#

#
# List Directors who are permitted to contact this File daemon
#
Director {
  Name = shadow.netbsd.org-dir
  Password = "XbSNJsn0oHDFMxgFEtpHO89/Xohx7E9MBfdvZ6gAD4EF"
}

#
# Restricted Director, used by tray-monitor to get the
#   status of the file daemon
#
Director {
  Name = shadow.netbsd.org-mon
  Password = "rVodGJe68tVKH9teuoMR9t6b4gXEHFTqzlWRvTos6nzi"
  Monitor = yes
}

#
# "Global" File daemon configuration specifications
#
FileDaemon {                          # this is me
  Name = shadow.netbsd.org-fd
  FDport = 9102                  # where we listen for the director
  WorkingDirectory = /var/spool/bacula
  Pid Directory = /var/run
  Maximum Concurrent Jobs = 20
  Plugin Directory = /usr/pkg/lib
}

# Send all messages except skipped files back to Director
Messages {
  Name = Standard
  director = shadow.netbsd.org-dir = all, !skipped, !restored, !verified, !saved
}
